:root   {
    --white: #FFF;
    --highlight: #f54260;
    --black: #1C1C1C;
}
*   {
    font-family: "Roboto";
    font-weight: 700;
}
body    {
    background-color: #333;
}
.userbox {
    margin-bottom: 5px;
    display: flex;
    justify-content: space-between;
    transition: width 1s;
}
#container, #heading  {
    margin: auto;
    width: 90%;
}
.userposts, .totalposts, .postcountpercentage   {
    text-align: right;
    color: var(--white);
}
.categoryranking    {
    color: var(--white);
}
.userposts  {
    font-size: 16px;
}
.username   {
    font-size: 16px;
    color: var(--highlight);
    text-decoration: none;
}
#titletext  {
    font-size: 40px;
    color: var(--highlight);
    text-align: center;
    margin-bottom: 10px;
}
form    {
    margin: auto;
    margin-bottom: 20px;
    display: flex;
    justify-content: center;
}
#footer    {
    width: 100%;
    margin: 0;
    display: flex;
    justify-content: space-around;
    color: var(--white);
    margin-top: 20px;
    background-color: #1C1C1C;
    padding: 15px 0 15px 0;
    margin-bottom: 15px;
}
#footer a, #navigation a   {
    color: var(--highlight);
    text-decoration: none;
}
#navigation {
    display: flex;
    justify-content: space-around;
    width: 100%;
    background-color: #1C1C1C;
    padding: 10px 0 10px 0;
    margin-bottom: 10px;
}
.username, #top_text, #top_text_2, .graphtitletext   {
    font-size: 16px;
    color: var(--highlight);
    text-decoration: none;
}
#top_text   {
    font-size: 40px;
}
#top_text_2   {
    font-size: 24px;
}
.responsetext   {
    text-align: center;
    margin-bottom: 12px;
    color: var(--white);
    font-style: italic;
    font-size: 11px;
}
select    {
    height: 3.5em;
    padding: 8px 0 8px 8px;
    width: 30%;
    background-color: var(--black);
    color: var(--white);
    border: 0;
}
input[type=submit]  {
    width: 10%;
    background-color: var(--black);
    color: var(--white);
    border: 0;
}
#loadingtext    {
    display: flex;
    width: 100%;
    margin: 0;
    color: var(--white);
    font-size: 48px;
    justify-content: center;
}